Loading...
Searching...
No Matches
mdds::mtv::detail::has_shrink_to_fit_method< T > Struct Template Reference

## Classes

struct | test_has_method

## Public Types

using | yes_type = char
using | no_type = int
using | type = std::conditional_t<sizeof(test<T>(0)) == sizeof(yes_type), std::true_type, std::false_type>

## Static Public Member Functions

template<typename U>
static yes_type | test (test_has_method< U, &U::shrink_to_fit > *)
template<typename U>
static no_type | test (...)